package com.muyu.breakdown.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.annotation.Excel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @ Tool：IntelliJ IDEA
 * @ Author：CHX
 * @ Date：2024-09-18-14:51
 * @ Version：1.0
 * @ Description：站内信实体类
 * @author Lenovo
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName("sys_messages")
public class Messages {
    @TableId(value = "id", type = IdType.AUTO)
    @Excel(name = "消息ID")
    private Long id;
    @Excel(name = "发送者ID")
    private String senderId;
    @Excel(name = "接收者ID")
    private String receiverId;
    @Excel(name = "消息内容")
    private String content;
    @Excel(name = "发送时间")
    private Date createTime;
    @Excel(name = "消息状态")
    private String status;
}
