package com.muyu;

import com.muyu.common.security.annotation.EnableCustomConfig;
import com.muyu.common.security.annotation.EnableMyFeignClients;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

/**
 * @ Tool：IntelliJ IDEA
 * @ Author：CHX
 * @ Date：2024-09-17-15:00
 * @ Version：1.0
 * @ Description：故障启动类
 * @author Lenovo
 */
@EnableCustomConfig
@EnableMyFeignClients
@SpringBootApplication
public class BreakDownApplication {
    public static void main(String[] args) {
        SpringApplication.run(BreakDownApplication.class, args);
    }
}
