package com.zhangyi.rail.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.muyu.common.core.annotation.Excel;
import lombok.*;
import lombok.experimental.SuperBuilder;

@Data
@Setter
@Getter
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("sys_corpuscle_fence")
public class SysFenceRail {
private static final  long seriaversionUID =1L;
/** 自增主键 */
@TableId(type = IdType.AUTO)
    private Long id;

/** 围栏编码 */
@Excel(name="围栏编码")
    private String fenceCode;
    /**围栏名称**/
    @Excel(name = "围栏名称")
    private String fenceName;

    /**围栏类型**/
    @Excel(name = "围栏类型")
    private Long fenceType;





}
