package com.muyu.system.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.common.system.domain.SysEnt;
import com.muyu.system.mapper.SysEntMapper;
import com.muyu.system.service.SysEntService;

import javax.annotation.Resource;

import org.springframework.stereotype.Service;
import lombok.extern.slf4j.Slf4j;

import java.util.List;

/**
 * @Author: 胡杨
 * @Name: SysEnt
 * @Description:
 * @CreatedDate: 2024/9/20 下午3:02
 * @FilePath: com.muyu.system.service.impl
 */

@Slf4j
@Service
public class SysEntServiceImpl  extends ServiceImpl<SysEntMapper, SysEnt>
        implements SysEntService {
    @Resource
    private SysEntMapper mapper;

    @Override
    public List<SysEnt> getList(SysEnt sysEnt) {
        return this.list(new LambdaQueryWrapper<>());
    }
}
